=== debian/changelog ===
xrprof (0.3.1-2) unstable; urgency=medium

  * Sync with upstream for updated Makefile

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 22 Feb 2021 15:39:53 -0600

xrprof (0.3.1-1) unstable; urgency=medium

  * New upstream release, initial Debian upload		(closes: #981064)

  * debian/patches: No longer required after upstream PR merged

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 25 Jan 2021 15:03:45 -0600

xrprof (0.3.0-2) unstable; urgency=medium

  * Makefile: minor patches

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 23 Jan 2021 16:23:41 -0600

xrprof (0.3.0-1) unstable; urgency=low

  * Initial build

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 23 Jan 2021 15:55:49 -0600
