=== debian/control ===
Source: xrprof
Section: math
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper-compat (= 11), libelf-dev, libunwind-dev
Standards-Version: 4.5.1
Homepage: https://github.com/atheriel/xrprof

Package: xrprof
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: External Sampling Profiler for R
 xrprof (formerly rtrace) is an external sampling profiler for R on
 Linux and Windows.
