=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- prefix=/usr

override_dh_auto_install:
	dh_auto_install -- prefix=/usr

override_dh_auto_test:
	echo "Skipping checks for now"

override_dh_usrlocal:
	echo "Skipping"
