=== debian/watch ===
version=3
https://github.com/atheriel/xrprof/releases/download/v.+/xrprof-(.+)\.tar\.gz
